<?php
$tdatadetalle = array();
$tdatadetalle[".searchableFields"] = array();
$tdatadetalle[".ShortName"] = "detalle";
$tdatadetalle[".OwnerID"] = "";
$tdatadetalle[".OriginalTable"] = "detalle";


$tdatadetalle[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatadetalle[".originalPagesByType"] = $tdatadetalle[".pagesByType"];
$tdatadetalle[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatadetalle[".originalPages"] = $tdatadetalle[".pages"];
$tdatadetalle[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatadetalle[".originalDefaultPages"] = $tdatadetalle[".defaultPages"];

//	field labels
$fieldLabelsdetalle = array();
$fieldToolTipsdetalle = array();
$pageTitlesdetalle = array();
$placeHoldersdetalle = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsdetalle["Spanish"] = array();
	$fieldToolTipsdetalle["Spanish"] = array();
	$placeHoldersdetalle["Spanish"] = array();
	$pageTitlesdetalle["Spanish"] = array();
	$fieldLabelsdetalle["Spanish"]["id_detalle"] = "Id";
	$fieldToolTipsdetalle["Spanish"]["id_detalle"] = "";
	$placeHoldersdetalle["Spanish"]["id_detalle"] = "";
	$fieldLabelsdetalle["Spanish"]["id_derecho"] = "Derecho_Propietario";
	$fieldToolTipsdetalle["Spanish"]["id_derecho"] = "";
	$placeHoldersdetalle["Spanish"]["id_derecho"] = "";
	$fieldLabelsdetalle["Spanish"]["id_gestion"] = "Gestion";
	$fieldToolTipsdetalle["Spanish"]["id_gestion"] = "";
	$placeHoldersdetalle["Spanish"]["id_gestion"] = "";
	$fieldLabelsdetalle["Spanish"]["id_Socio"] = "Socio";
	$fieldToolTipsdetalle["Spanish"]["id_Socio"] = "";
	$placeHoldersdetalle["Spanish"]["id_Socio"] = "";
	if (count($fieldToolTipsdetalle["Spanish"]))
		$tdatadetalle[".isUseToolTips"] = true;
}


	$tdatadetalle[".NCSearch"] = true;



$tdatadetalle[".shortTableName"] = "detalle";
$tdatadetalle[".nSecOptions"] = 0;

$tdatadetalle[".mainTableOwnerID"] = "";
$tdatadetalle[".entityType"] = 0;
$tdatadetalle[".connId"] = "bsn_dividendos_at_localhost";


$tdatadetalle[".strOriginalTableName"] = "detalle";

	



$tdatadetalle[".showAddInPopup"] = false;

$tdatadetalle[".showEditInPopup"] = false;

$tdatadetalle[".showViewInPopup"] = false;

$tdatadetalle[".listAjax"] = false;
//	temporary
//$tdatadetalle[".listAjax"] = false;

	$tdatadetalle[".audit"] = false;

	$tdatadetalle[".locking"] = false;


$pages = $tdatadetalle[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadetalle[".edit"] = true;
	$tdatadetalle[".afterEditAction"] = 1;
	$tdatadetalle[".closePopupAfterEdit"] = 1;
	$tdatadetalle[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadetalle[".add"] = true;
$tdatadetalle[".afterAddAction"] = 1;
$tdatadetalle[".closePopupAfterAdd"] = 1;
$tdatadetalle[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadetalle[".list"] = true;
}



$tdatadetalle[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadetalle[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadetalle[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadetalle[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadetalle[".printFriendly"] = true;
}



$tdatadetalle[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadetalle[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadetalle[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadetalle[".isUseAjaxSuggest"] = true;



																																																																								

$tdatadetalle[".ajaxCodeSnippetAdded"] = false;

$tdatadetalle[".buttonsAdded"] = false;

$tdatadetalle[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadetalle[".isUseTimeForSearch"] = false;


$tdatadetalle[".badgeColor"] = "800000";


$tdatadetalle[".allSearchFields"] = array();
$tdatadetalle[".filterFields"] = array();
$tdatadetalle[".requiredSearchFields"] = array();

$tdatadetalle[".googleLikeFields"] = array();
$tdatadetalle[".googleLikeFields"][] = "id_detalle";
$tdatadetalle[".googleLikeFields"][] = "id_derecho";
$tdatadetalle[".googleLikeFields"][] = "id_gestion";
$tdatadetalle[".googleLikeFields"][] = "id_Socio";



$tdatadetalle[".tableType"] = "list";

$tdatadetalle[".printerPageOrientation"] = 0;
$tdatadetalle[".nPrinterPageScale"] = 100;

$tdatadetalle[".nPrinterSplitRecords"] = 40;

$tdatadetalle[".geocodingEnabled"] = false;










$tdatadetalle[".pageSize"] = 20;

$tdatadetalle[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatadetalle[".strOrderBy"] = $tstrOrderBy;

$tdatadetalle[".orderindexes"] = array();


$tdatadetalle[".sqlHead"] = "SELECT detalle.id_detalle,  detalle.id_derecho,  detalle.id_gestion,  socio.id_Socio";
$tdatadetalle[".sqlFrom"] = "FROM detalle  INNER JOIN socio ON detalle.id_socio = socio.id_Socio";
$tdatadetalle[".sqlWhereExpr"] = "";
$tdatadetalle[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadetalle[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadetalle[".arrGroupsPerPage"] = $arrGPP;

$tdatadetalle[".highlightSearchResults"] = true;

$tableKeysdetalle = array();
$tableKeysdetalle[] = "id_detalle";
$tdatadetalle[".Keys"] = $tableKeysdetalle;


$tdatadetalle[".hideMobileList"] = array();




//	id_detalle
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_detalle";
	$fdata["GoodName"] = "id_detalle";
	$fdata["ownerTable"] = "detalle";
	$fdata["Label"] = GetFieldLabel("detalle","id_detalle");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_detalle";

		$fdata["sourceSingle"] = "id_detalle";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "detalle.id_detalle";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetalle["id_detalle"] = $fdata;
		$tdatadetalle[".searchableFields"][] = "id_detalle";
//	id_derecho
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_derecho";
	$fdata["GoodName"] = "id_derecho";
	$fdata["ownerTable"] = "detalle";
	$fdata["Label"] = GetFieldLabel("detalle","id_derecho");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_derecho";

		$fdata["sourceSingle"] = "id_derecho";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "detalle.id_derecho";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "derecho_propietario3";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_derecho_Propietario";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id_derecho_Propietario";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "id_Socio";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetalle["id_derecho"] = $fdata;
		$tdatadetalle[".searchableFields"][] = "id_derecho";
//	id_gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "id_gestion";
	$fdata["GoodName"] = "id_gestion";
	$fdata["ownerTable"] = "detalle";
	$fdata["Label"] = GetFieldLabel("detalle","id_gestion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_gestion";

		$fdata["sourceSingle"] = "id_gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "detalle.id_gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "gestion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Gestion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetalle["id_gestion"] = $fdata;
		$tdatadetalle[".searchableFields"][] = "id_gestion";
//	id_Socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "id_Socio";
	$fdata["GoodName"] = "id_Socio";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("detalle","id_Socio");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Socio";

		$fdata["sourceSingle"] = "id_socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.id_Socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Derechos_Propietarios";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Socio";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Titular";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "id_derecho", "lookup" => "id_Socio" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetalle["id_Socio"] = $fdata;
		$tdatadetalle[".searchableFields"][] = "id_Socio";


$tables_data["detalle"]=&$tdatadetalle;
$field_labels["detalle"] = &$fieldLabelsdetalle;
$fieldToolTips["detalle"] = &$fieldToolTipsdetalle;
$placeHolders["detalle"] = &$placeHoldersdetalle;
$page_titles["detalle"] = &$pageTitlesdetalle;


changeTextControlsToDate( "detalle" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["detalle"] = array();
//	pago_dp
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pago_dp";
		$detailsParam["dOriginalTable"] = "pago_dp";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pago_dp";
	$detailsParam["dCaptionTable"] = GetTableCaption("pago_dp");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["detalle"][$dIndex] = $detailsParam;

	
		$detailsTablesData["detalle"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["detalle"][$dIndex]["masterKeys"][]="id_detalle";

				$detailsTablesData["detalle"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["detalle"][$dIndex]["detailKeys"][]="id_detalle";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["detalle"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="derecho_propietario";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="derecho_propietario";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "derecho_propietario";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["detalle"][0] = $masterParams;
				$masterTablesData["detalle"][0]["masterKeys"] = array();
	$masterTablesData["detalle"][0]["masterKeys"][]="id_derecho_Propietario";
				$masterTablesData["detalle"][0]["detailKeys"] = array();
	$masterTablesData["detalle"][0]["detailKeys"][]="id_derecho";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_detalle()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "detalle.id_detalle,  detalle.id_derecho,  detalle.id_gestion,  socio.id_Socio";
$proto0["m_strFrom"] = "FROM detalle  INNER JOIN socio ON detalle.id_socio = socio.id_Socio";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_detalle",
	"m_strTable" => "detalle",
	"m_srcTableName" => "detalle"
));

$proto6["m_sql"] = "detalle.id_detalle";
$proto6["m_srcTableName"] = "detalle";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "id_derecho",
	"m_strTable" => "detalle",
	"m_srcTableName" => "detalle"
));

$proto8["m_sql"] = "detalle.id_derecho";
$proto8["m_srcTableName"] = "detalle";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "id_gestion",
	"m_strTable" => "detalle",
	"m_srcTableName" => "detalle"
));

$proto10["m_sql"] = "detalle.id_gestion";
$proto10["m_srcTableName"] = "detalle";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "socio",
	"m_srcTableName" => "detalle"
));

$proto12["m_sql"] = "socio.id_Socio";
$proto12["m_srcTableName"] = "detalle";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "detalle";
$proto15["m_srcTableName"] = "detalle";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "id_detalle";
$proto15["m_columns"][] = "id_derecho";
$proto15["m_columns"][] = "id_gestion";
$proto15["m_columns"][] = "id_socio";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "detalle";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "detalle";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
												$proto18=array();
$proto18["m_link"] = "SQLL_INNERJOIN";
			$proto19=array();
$proto19["m_strName"] = "socio";
$proto19["m_srcTableName"] = "detalle";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id_Socio";
$proto19["m_columns"][] = "ci";
$proto19["m_columns"][] = "ci_complemento";
$proto19["m_columns"][] = "ci_procedencia";
$proto19["m_columns"][] = "nombres";
$proto19["m_columns"][] = "apellido_Paterno";
$proto19["m_columns"][] = "apellido_Materno";
$proto19["m_columns"][] = "fecha_Nacimiento";
$proto19["m_columns"][] = "lugar_Nacimiento";
$proto19["m_columns"][] = "depto_Nacimiento";
$proto19["m_columns"][] = "direccion";
$proto19["m_columns"][] = "profesion";
$proto19["m_columns"][] = "telefono";
$proto19["m_columns"][] = "celular";
$proto19["m_columns"][] = "foto_actual";
$proto19["m_columns"][] = "foto_Ci";
$proto19["m_columns"][] = "estado";
$proto19["m_columns"][] = "tipo_Doc";
$proto19["m_columns"][] = "pais_Nacimiento";
$proto19["m_columns"][] = "sexo";
$proto19["m_columns"][] = "estado_Civil";
$proto19["m_columns"][] = "apellido_Casada";
$proto19["m_columns"][] = "tipo_accionista";
$proto19["m_columns"][] = "id_dp";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "INNER JOIN socio ON detalle.id_socio = socio.id_Socio";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "detalle";
$proto20=array();
$proto20["m_sql"] = "socio.id_Socio = detalle.id_socio";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "socio",
	"m_srcTableName" => "detalle"
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "= detalle.id_socio";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="detalle";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_detalle = createSqlQuery_detalle();


	
		;

				

$tdatadetalle[".sqlquery"] = $queryData_detalle;



$tdatadetalle[".hasEvents"] = false;

?>